<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <modules>
        <module>preference-ejb</module>
        <module>preference-war</module>
    </modules>

    <parent>
        <groupId>net.ihe.gazelle</groupId>
        <artifactId>external-library</artifactId>
        <version>1.1-SNAPSHOT</version>
    </parent>

    <groupId>net.ihe.gazelle.library</groupId>
    <artifactId>preference</artifactId>
    <version>2.0.1-SNAPSHOT</version>
    <packaging>pom</packaging>

    <scm>
        <connection>scm:git:git@gitlab.inria.fr:gazelle/library/preference.git</connection>
        <developerConnection>scm:git:git@gitlab.inria.fr:gazelle/library/preference.git</developerConnection>
        <tag>HEAD</tag>
        <url>https://gitlab.inria.fr/gazelle/library/preference</url>
    </scm>

    <properties>
        <hql.version>3.0.1-SNAPSHOT</hql.version>
        <datatable.version>1.0.1-SNAPSHOT</datatable.version>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>net.ihe.gazelle.library</groupId>
                <artifactId>preference-ejb</artifactId>
                <version>${project.version}</version>
                <type>ejb</type>
            </dependency>

            <dependency>
                <groupId>net.ihe.gazelle.library</groupId>
                <artifactId>preference-war</artifactId>
                <version>${project.version}</version>
                <type>war</type>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <repositories>
        <repository>
            <id>ihe-services</id>
            <name>IHE Services Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>
    <pluginRepositories>
        <pluginRepository>
            <id>ihe-services-plugins</id>
            <name>IHE Services Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>
</project>
